Subject: bug#5380: Problem with command sgml-name-8bit-mode in GNU emacs 23.1

From: Volker Kiefel <[email-masked]>
Date: Thu, 14 Jan 2010 23:16:09 +0100

Hello, dear maintainers of emacs and sgml-mode.el,

as a regular user of the html-mode of emacs I encountered a
problem with the function ``sgml-name-8bit-mode'', (menu option
(SGML/Toggle 8 bit insertion), as I changed to v23.1 of GNU
emacs. The problem encountered on the precompiled win32 version
and on the version in Linux compiled by myself.

After switching on the ``sgml name entity mode'' typing an umlaut
character like ä (a umlaut) now no more (as in previous emacs
versions and as expected) produces ``&auml;'' but ``\344''.

I hope that the problem can be fixed.

With kind regards
Volker Kiefel
Germany
---

In GNU Emacs 23.1.1 (i686-pc-linux-gnu, GTK+ Version 2.10.11)
  of 2010-01-09 on ubuntu
Windowing system distributor `The X.Org Foundation', version 11.0.70200000
configured using `configure  '--prefix=/home/kiefel/emacs-23.1''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: nil
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Lisp Interaction

Minor modes in effect:
   show-paren-mode: t
   tooltip-mode: t
   tool-bar-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   blink-cursor-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t